// DemoFP.cpp : Implementation of CDemoFP
#include "stdafx.h"
#include "WlogRigLib.h"
#include "DemoFP.h"

/////////////////////////////////////////////////////////////////////////////
// CDemoFP


HRESULT CDemoFP::OnDraw(ATL_DRAWINFO& di)
{
	RECT& rc = *(RECT*)di.prcBounds;
	Rectangle(di.hdcDraw, rc.left, rc.top, rc.right, rc.bottom);
	DrawText(di.hdcDraw, _T("WL RigDemo"), -1, &rc, DT_CENTER | DT_VCENTER | DT_SINGLELINE);
	return S_OK;
}

STDMETHODIMP CDemoFP::GetFpWidthAndHeight(long * pWidth, long * pHeight)
{
	*pWidth = 150;
	*pHeight = 100;

	return S_OK;
}

STDMETHODIMP CDemoFP::SetRig(IUnknown *pRig)
{
	m_pRig.Release();
	m_pRig = pRig;
	return S_OK;
}
