/*
** Copyright (c) 1992, 1993-2001 by Wayne E. Wright, W5XD, Round Rock, Texas
** All rights reserved.
*/
/*
**  rigdisp.c
*/

// This file is in C and not C++ because its really, really old, and there
// has never been a reason it had to be upgraded.

#ifndef RIG_DEBUG
#define WRITE_DEBUG_INFO 0
#else
#define WRITE_DEBUG_INFO 1
#endif

#include <string.h>
#include <windows.h>
#include "freq.h"
#include "DrvTable.h"
#include "rwrig.h"
#if WRITE_DEBUG_INFO
#include <stdio.h>
#endif


extern struct DrvTable *(DrvTblArray[]);
extern int DrvTableEntries;
#if WRITE_DEBUG_INFO
static FILE *IoLogFile;
#endif


#define CurrentRig(i) (DrvTblArray[i])


int   rig_dispBaud(int i)
{
    return ((*CurrentRig(i)->BaudRate)(CurrentRig(i)));
}

int   rig_dispMax(void)
{
    return (DrvTableEntries - 1);
}

char *  rig_dispLabel(int i)
{
    return ((*CurrentRig(i)->Label)(CurrentRig(i)));
}

