VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsDriver"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Implements IWlRigFpInfo
Implements IWlRig
'Look in wlogrigs.idl for documentation about when and why WL calls these entry points
Private m_RigIO As IWlRigIO
Private m_CommPortIndex As Long

Private Freq As Double

Private Sub Class_Initialize()
    Freq = 3550
End Sub

Private Sub IWlRig_Check(pTime As Long)
    pTime = -1
    If m_RigIO Is Nothing Then Exit Sub
        
    Dim x
    Dim e As Long
    Dim i As Integer
    
    'This line reads from the COM port and processes them
    m_RigIO.ReadChars x, e
    If IsArray(x) Then
        For i = LBound(x) To UBound(x) Step 1
            Debug.Print x(i)
        Next i
    End If
    
    
End Sub

Private Sub IWlRig_ClearRIT()

End Sub

Private Sub IWlRig_GetFrequency(pXmit As Double, pRcv As Double, pMode As Integer, pPrimaryVFO As Integer, pSplit As Integer)
    pXmit = Freq
    pRcv = Freq
    pMode = 2
    pPrimaryVFO = 0
    pSplit = 0
End Sub

Private Sub IWlRig_Launch(pTime As Long)
    Dim e As Long
    Dim f(3) As Byte
    f(0) = Asc("I")
    f(1) = Asc("F")
    f(2) = Asc(";")
    
    ' This line writes the array f to the rig's COM port
    m_RigIO.WriteChars f, e
    pTime = 30
End Sub

Private Sub IWlRig_PutCommPort(ByVal pRigIO As WLOGRIGSLib.IWlRigIO, ByVal Index As Long)
    Set m_RigIO = pRigIO
    m_CommPortIndex = Index 'This is the COMM port number, minus 1
End Sub

Private Sub IWlRig_Set(ByVal Xmit As Double, ByVal Rcv As Double, ByVal Mode As Integer, ByVal PrimaryVFO As Integer, ByVal Split As Integer, pTime As Long)
    Freq = Rcv
End Sub

Private Sub IWlRig_TuneFrequency(ByVal Amount As Long, pTime As Long)
End Sub

Private Sub IWlRig_Xmit(ByVal State As Long, pTime As Long)
End Sub

Private Property Get IWlRigFpInfo_FpProgId() As String
    IWlRigFpInfo_FpProgId = "DemoFP.FakeRadioFP"    'This is the COM ProgId of the front panel OCX
End Property

Private Property Get IWlRigFpInfo_Label() As String
    IWlRigFpInfo_Label = "Demo FP"
End Property
