VERSION 5.00
Begin VB.UserControl FakeRadioFP 
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   240
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   Begin VB.Timer Timer1 
      Interval        =   10000
      Left            =   3600
      Top             =   2640
   End
   Begin VB.Label lblFreq 
      Alignment       =   2  'Center
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   840
      TabIndex        =   0
      Top             =   600
      Width           =   1695
   End
   Begin VB.Shape shpOutline 
      BorderStyle     =   2  'Dash
      Height          =   3255
      Left            =   120
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "FakeRadioFP"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Private m_Rig As IWlRig


' WriteLog expects this public sub to be on a radio front panel
' The units are pixels. WL will create a place on the screen of this
' size to site the front panel
Public Sub GetFpWidthAndHeight(GoodWidth As Long, GoodHeight As Long)
   GoodWidth = shpOutline.Width + shpOutline.Left
   GoodHeight = shpOutline.Height + shpOutline.Top
End Sub

' The front panel probabaly wants to talk to the rig using a more sophisticated
' protocol than WL demands of rigs. So WL passes in the IUnknown corresponding
' to the rig driver, and you can find any custom interface that rig driver
' happens to support, and use it to talk to the rig without any further help
' from WriteLog.
Public Sub SetRig(NewRig As IUnknown)
    Set m_Rig = NewRig
End Sub

Private Sub Timer1_Timer()
    Dim xmit As Double
    Dim rcv As Double
    Dim mode As Integer
    Dim vfo As Integer
    Dim split As Integer
    
    m_Rig.GetFrequency xmit, rcv, mode, vfo, split
    lblFreq = rcv
End Sub

