/*
** Copyright (c) 1992, 1993-2001 by Wayne E. Wright, W5XD, Round Rock, Texas
** All rights reserved.
*/
#ifndef RIGDISP_H
#define RIGDISP_H

#ifndef FREQ_H
#include "freq.h"
#endif


#define NUMCHARS 200
#ifdef __cplusplus
extern "C" {
#endif

// These helpers are for the rig manager to deal
// with the table of rig drivers in this dll

typedef struct DrvState
{
    char        rbuf[NUMCHARS];
    struct freq_stru CurrentState;
    IWlRigIO	*m_pCommChannel;
	int			m_CharsInBuffer;
} *DrvState_t;


extern void  rig_CloseLog(void);
extern int  rig_dispMax(void);
extern int  rig_dispBaud(int i);
extern char *  rig_dispLabel(int);
#ifdef __cplusplus
	}
#endif

#endif
